Subject: Re: LAD/I824

From: [email-masked] (Mi Mi)
Date: Sat, 25 Sep 93 07:30:50 CDT

/Someone told me that he filed I-824 for his wife.  But the beneficiary name
/appearing on the receiving notice(I797) is still his name instead of his wife's
/as it should be.  Does this mean that INS got confused about the purpose of
/this special case of filing I-824 or it really doesn't matter?  Does anyone have
/the similar issue and comments?

Yeah, I do. The first notice was in my name, the second one, is in my daughter's
name, Mi Mi. I give up since this approach seems to me is much slower than 
bringing her back to the US on her F-2 visa (which she has one) and applying as
a CSPA principal, since lads can not use world quota up to now. Besides,
it can save one more China's EB-3 quota for our LC sisters and brothers,
although there might be none to appreciate this! (just kidding)

Mi Mi

lads-net Committee